%{?nodejs_find_provides_and_requires}

%global packagename echomd
%global enable_tests 1

Name:		nodejs-echomd
Version:	0.1.2
Release:	4%{?dist}
Summary:	An md like conversion tool for shell terminals

License:	MIT
URL:		https://github.com/WebReflection/echomd
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequries:	
%endif

%description
An md like conversion tool for shell terminals


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

# Fix interpreter
sed -i 's/env node/node/g' js/echomd

# The 0.1.2 tag still had version 0.1.1 in the test, fixed in commit 8a2d342
sed -i s/0.1.1/%{version}/ test/*-echomd

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json js/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- Testing version %{version} -=#=- \e[0m"
%__nodejs js/echomd -h > test/js-echomd
diff test/js-echomd test/demo-echomd || exit 1;
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-1
- Initial packaging
